IEEE80211_GET_RESPON(9)

NAME
ieee80211_get_response_rate - get basic rate for a given rate

SYNOPSIS

struct ieee80211_rate * ieee80211_get_response_rate(struct ieee80211_supported_band * sband, u32 basic_rates, int bitrate);

ARGUMENTS

sband
    the band to look for rates in

basic_rates
    bitmap of basic rates

bitrate
    the bitrate for which to find the basic rate

RETURN

The basic rate corresponding to a given bitrate, that is the next lower bitrate contained in the basic rate map, which is, for this function, given as a bitmap of indices of rates in the band's bitrate table.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT